# DESeq2

Workflow used for **differential gene expression analysis**

## DESeq2 docs

- https://bioconductor.org/packages/release/bioc/html/DESeq2.html

## Importing kallisto output with tximport

- https://bioconductor.org/packages/release/bioc/vignettes/tximport/inst/doc/tximport.html#kallisto

## Run pure script (to test)

### Install R dependencies for deseq2

```R
if (!require("BiocManager", quietly = TRUE))
    install.packages("BiocManager")

BiocManager::install("DESeq2")
library("DESeq2")

BiocManager::install("tximport")
library("tximport")

BiocManager::install("rhdf5")
library("rhdf5")
```

## Multi-package containers

- R and combinations of library dependencies are available as multi-package containers from [BioContainers](https://github.com/BioContainers/multi-package-containers)
- Searched for `repo:BioContainers/multi-package-containers deseq2 tximport rhdf5`
- and found `quay.io/biocontainers/mulled-v2-05fd88b9ac812a9149da2f2d881d62f01cc49835:a10f0e3a7a70fc45494f8781d33901086d2214d0-0` :tada:
