#!/usr/bin/env cwl-runner
cwlVersion: v1.2
class: Workflow

requirements:
  ScatterFeatureRequirement: {}
  SubworkflowFeatureRequirement: {}

inputs:
  fastq: File[]
  finaloutdir: string
 
steps:
  fastqc:
    run: fastqc.cwl
    scatter: fastq
    in:
      fastq: fastq
    out: [fastqc_zip, fastqc_html]
  collectFiles:
    run: ./collectFilesInDir.cwl
    in: 
      destination: finaloutdir
      files:
        source: [fastqc/fastqc_html, fastqc/fastqc_zip]
        linkMerge: merge_flattened
    out: [outDir]
  
outputs:
  outdir:
    type: Directory
    outputSource: collectFiles/outDir