#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: CommandLineTool

hints:
  # DockerRequirement:
  #   dockerImageId: "sleuth"
  #   dockerFile: {$include: "Dockerfile"}
  DockerRequirement: 
    dockerPull: quay.io/biocontainers/mulled-v2-fdd016122f200fdc6dc30f6ea2fd0000e8067dff:f9531f6ac1f44332eff70b5912d7d5f3ebe8df38-0

requirements:
  - class: InitialWorkDirRequirement
    listing:
      - entryname: sleuth.R
        entry:
          $include: sleuth.R
  - class: NetworkAccess
    networkAccess: true

baseCommand: [Rscript, sleuth.R]

inputs:
  inKallistoResults:
    type: Directory
    inputBinding:
      position: 1
  inMetadataFile:
    type: File
    inputBinding:
      position: 2
  inMetadataSample:
    type: string
    inputBinding:
      position: 3
  inMetadataFactorList:
    type: string[]
    inputBinding:
      position: 4
  inMetadataDataCol:
    type: string
    inputBinding:
      position: 5
  outFolder:
    type: string
    inputBinding:
      position: 6

outputs:
- id: outdir
  type:
    type: array
    items: Directory
  outputBinding:
    glob: $(runtime.outdir)/$(inputs.outFolder)
